Bug 54359 - Update ports/games/asc to version 1.13.7
Summary: Update ports/games/asc to version 1.13.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-11 08:40 UTC by Ying-Chieh Chen
Modified: 2003-07-14 06:27 UTC (History)
0 users

See Also:


Attachments
asc.patch (16.96 KB, patch)
2003-07-11 08:40 UTC, Ying-Chieh Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ying-Chieh Chen 2003-07-11 08:40:18 UTC
	Update ports/games/asc to version 1.13.7
	Tested on 4.8-RELEASE
	Changes are as follows:

	o add WITH_MUSIC option, which will fetch additional music files.
	  (Default is OFF.)
	o add pkg-message file.
	o Remove all patches in files/ directory.

	Please commit it, thanks.

How-To-Repeat: 
	N/A
Comment 1 Ying-Chieh Chen 2003-07-13 04:51:11 UTC
Hi,

 Please use the following patch instead, this patch fix build on 5.1-RELEASE.

diff -ruN /usr/ports/games/asc/Makefile asc/Makefile
--- /usr/ports/games/asc/Makefile	Sat Jun 14 13:27:37 2003
+++ asc/Makefile	Sun Jul 13 04:40:43 2003
@@ -6,12 +6,17 @@
 #
 
 PORTNAME=	asc
-PORTVERSION=	1.13.5.1
+PORTVERSION=	1.13.7
 CATEGORIES=	games
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	asc-hq
 DISTNAME=	${PORTNAME}-source-${PORTVERSION}
 
+.if defined(WITH_MUSIC)
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} frontiers.mp3 time_to_strike.mp3 machine_wars.mp3
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+.endif
+
 MAINTAINER=	yinjieh@csie.nctu.edu.tw
 COMMENT=	A turn based, multiplayer strategic game with very nice graphics
 
@@ -20,9 +25,6 @@
 		SDLmm.8:${PORTSDIR}/devel/sdlmm \
 		SDL_mixer.2:${PORTSDIR}/audio/sdl_mixer \
 		paragui.3:${PORTSDIR}/x11-toolkits/paragui
-.if !exists(/usr/bin/bzip2)
-LIB_DEPENDS+=	bz2.1:${PORTSDIR}/archivers/bzip2
-.endif
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
@@ -34,18 +36,31 @@
 USE_GETOPT_LONG=	yes
 CONFIGURE_ENV=	SDL_CONFIG="${SDL_CONFIG}" \
 		CPPFLAGS="`${SDL_CONFIG} --cflags`" \
+		CXXFLAGS="-D_UNICODE_BROKEN_" \
 		LIBS="`${SDL_CONFIG} --libs` -lgnugetopt -lm"
 
 CONFIGURE_ARGS=	--disable-paraguitest
 
-pre-patch:
-	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|g' ${WRKSRC}/configure
-	@find ${WRKSRC} \( -name "*.cpp" -or -name "*.h" \) | xargs \
-		${REINPLACE_CMD} -e 's|malloc[.]h|stdlib.h|g'
-	@find ${WRKSRC} -type f -name Makefile.in | xargs \
-		${REINPLACE_CMD} -e 's|[(]datadir[)]/games|(datadir)|g'
+.if defined(WITH_MUSIC)
+PLIST_SUB+=	MUSIC:=""
+.else
+PLIST_SUB+=	MUSIC:="@comment "
+.endif
 
 pre-configure:
-	@${RM} -f ${WRKSRC}/config.cache
+.if defined(WITH_MUSIC)
+	${CP}  ${DISTDIR}/frontiers.mp3 ${WRKSRC}/data/music
+	${CP}  ${DISTDIR}/time_to_strike.mp3 ${WRKSRC}/data/music
+	${CP}  ${DISTDIR}/machine_wars.mp3 ${WRKSRC}/data/music
+.endif
+
+pre-build:
+	@${FIND} ${WRKSRC}/source -name \*.cpp | ${XARGS} ${REINPLACE_CMD} \
+		-e 's|<malloc.h>|<stdlib.h>|'
+	@${FIND} ${WRKSRC}/source -name \*.h | ${XARGS} ${REINPLACE_CMD} \
+		-e 's|<malloc.h>|<stdlib.h>|'
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -ruN /usr/ports/games/asc/distinfo asc/distinfo
--- /usr/ports/games/asc/distinfo	Sat Jun  7 02:34:38 2003
+++ asc/distinfo	Sun Jul 13 01:07:45 2003
@@ -1 +1,4 @@
-MD5 (asc-source-1.13.5.1.tar.gz) = 1fc5b97a5ed12be9e24af74d8884c9e1
+MD5 (asc-source-1.13.7.tar.gz) = 402738591c0e2516b6ad756c371d9f1c
+MD5 (frontiers.mp3) = 560f5783836b309906e57e77417f3864
+MD5 (time_to_strike.mp3) = f0ab3c633f51430af0445ecaa02e3197
+MD5 (machine_wars.mp3) = c383139928613c7b081835c3d4a28fa8
diff -ruN /usr/ports/games/asc/files/patch-Makefile.in asc/files/patch-Makefile.in
--- /usr/ports/games/asc/files/patch-Makefile.in	Mon Mar 12 17:32:29 2001
+++ asc/files/patch-Makefile.in	Thu Jan  1 08:00:00 1970
@@ -1,20 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-Makefile.in,v 1.1 2001/03/12 09:32:29 sobomax Exp $
-
---- Makefile.in	2001/03/12 08:01:39	1.1
-+++ Makefile.in	2001/03/12 08:02:46
-@@ -42,10 +42,10 @@
- 
- top_builddir = .
- 
--ACLOCAL = @ACLOCAL@
--AUTOCONF = @AUTOCONF@
--AUTOMAKE = @AUTOMAKE@
--AUTOHEADER = @AUTOHEADER@
-+ACLOCAL = /usr/bin/true
-+AUTOCONF = /usr/bin/true
-+AUTOMAKE = /usr/bin/true
-+AUTOHEADER = /usr/bin/true
- 
- INSTALL = @INSTALL@
- INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
diff -ruN /usr/ports/games/asc/files/patch-configure asc/files/patch-configure
--- /usr/ports/games/asc/files/patch-configure	Sat Jun 14 13:27:37 2003
+++ asc/files/patch-configure	Thu Jan  1 08:00:00 1970
@@ -1,27 +0,0 @@
---- configure.orig	Thu Jun 12 10:13:34 2003
-+++ configure	Thu Jun 12 10:15:34 2003
-@@ -7381,6 +7381,7 @@
- 
- # This can be used to rebuild libtool when needed
- LIBTOOL_DEPS="$ac_aux_dir/ltmain.sh"
-+$ac_aux_dir/ltconfig $LIBTOOL_DEPS
- 
- # Always use our own libtool.
- LIBTOOL='$(SHELL) $(top_builddir)/libtool'
-@@ -10523,7 +10524,7 @@
- 
- 
- 
--                game_datadir="$datadir/games/$PACKAGE"
-+                game_datadir="$datadir/$PACKAGE"
-                 game_datadir=`(
-                      test "x$prefix" = xNONE && prefix="$ac_default_prefix"
-                      test "x$exec_prefix" = xNONE && exec_prefix="${prefix}"
-@@ -11178,6 +11179,7 @@
- cat conftest.$ac_ext >&5
- Unicode_broken=yes
- fi
-+Unicode_broken=yes
- rm -f conftest.$ac_objext conftest.$ac_ext
- 
- if test "x$Unicode_broken" = x ; then
diff -ruN /usr/ports/games/asc/files/patch-data::Makefile.in asc/files/patch-data::Makefile.in
--- /usr/ports/games/asc/files/patch-data::Makefile.in	Sat Jun  7 02:34:38 2003
+++ asc/files/patch-data::Makefile.in	Thu Jan  1 08:00:00 1970
@@ -1,14 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-data::Makefile.in,v 1.3 2003/06/01 13:25:00 sobomax Exp $
-
---- data/Makefile.in.orig	Thu Mar 27 13:13:56 2003
-+++ data/Makefile.in	Sun Jun  1 15:10:04 2003
-@@ -104,7 +104,7 @@
- am__quote = @am__quote@
- asc_version = @asc_version@
- install_sh = @install_sh@
--SUBDIRS = dialog @MUSICDIR@
-+SUBDIRS = dialog
- 
- MAINTAINERCLEANFILES = Makefile.in
- 
diff -ruN /usr/ports/games/asc/files/patch-source::Makefile.in asc/files/patch-source::Makefile.in
--- /usr/ports/games/asc/files/patch-source::Makefile.in	Tue Dec 11 19:36:27 2001
+++ asc/files/patch-source::Makefile.in	Thu Jan  1 08:00:00 1970
@@ -1,14 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::Makefile.in,v 1.4 2001/12/11 11:36:27 sobomax Exp $
-
---- source/Makefile.in.orig	Thu Nov 29 20:30:42 2001
-+++ source/Makefile.in	Tue Dec 11 12:54:01 2001
-@@ -71,7 +71,7 @@
- SDLMM_CONFIG = @SDLMM_CONFIG@
- SDLMM_CXXFLAGS = @SDLMM_CXXFLAGS@
- SDLMM_LIBS = @SDLMM_LIBS@
--SDL_CFLAGS = @SDL_CFLAGS@
-+SDL_CFLAGS = @SDL_CFLAGS@ -DPREFIX=\"$(prefix)\"
- SDL_CONFIG = @SDL_CONFIG@
- SDL_LIBS = @SDL_LIBS@
- SGML2MAN = @SGML2MAN@
diff -ruN /usr/ports/games/asc/files/patch-source::basegfx.cpp asc/files/patch-source::basegfx.cpp
--- /usr/ports/games/asc/files/patch-source::basegfx.cpp	Sun Feb 18 05:51:31 2001
+++ asc/files/patch-source::basegfx.cpp	Thu Jan  1 08:00:00 1970
@@ -1,42 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::basegfx.cpp,v 1.1 2001/02/17 21:51:31 sobomax Exp $
-
---- source/basegfx.cpp	2001/02/17 13:59:07	1.1
-+++ source/basegfx.cpp	2001/02/17 14:00:16
-@@ -409,7 +406,7 @@
-       wp[1] = hd->y / 2;
- 
-       if ( ( wp[0] + 1 ) * ( wp[1] + 1 ) + 4 >= xlatbuffersize )
--         throw fatalgraphicserror ( "halfpict : picture larger than buffer ! " );
-+         goto except;
- 
-       dest += 4;
- 
-@@ -449,7 +446,7 @@
-             }
-          }
-          if ( (int)dest - (int)xlatbuffer > xlatbuffersize )
--            throw fatalgraphicserror ( "halfpict : picture larger than buffer ! " );
-+             goto except;
- 
-       }
-    } else {
-@@ -462,7 +459,7 @@
-       wp[1] = wp2[1] / 2;
- 
-       if ( ( wp[0] + 1 ) * ( wp[1] + 1 ) + 4 >= xlatbuffersize )
--         throw fatalgraphicserror ( "halfpict : picture larger than buffer ! " );
-+         goto except;
- 
-       dest += 4;
-       buf += 4;
-@@ -482,6 +479,9 @@
- 
-    }
-    return xlatbuffer;
-+
-+except:
-+   throw fatalgraphicserror ( "halfpict : picture larger than buffer ! " );
- } 
- 
- 
diff -ruN /usr/ports/games/asc/files/patch-source::basestrm.cpp asc/files/patch-source::basestrm.cpp
--- /usr/ports/games/asc/files/patch-source::basestrm.cpp	Sat Oct 19 00:36:22 2002
+++ asc/files/patch-source::basestrm.cpp	Thu Jan  1 08:00:00 1970
@@ -1,40 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::basestrm.cpp,v 1.2 2002/10/18 16:36:22 sobomax Exp $
-
---- source/basestrm.cpp.orig	Tue Oct  1 16:11:44 2002
-+++ source/basestrm.cpp	Fri Oct 18 15:04:21 2002
-@@ -1008,7 +1011,7 @@
-    while (actpos2 < size) {
-       if (datasize == 0)
-           if ( excpt ) {
--             throw treadafterend ( getDeviceName() );
-+             goto except1;
- 			}
-           else
-              return actpos2;
-@@ -1028,6 +1031,9 @@
-    } 
- 
-    return actpos2;
-+
-+except1:
-+   throw treadafterend ( getDeviceName() );
- } 
- 
- 
-@@ -1058,10 +1064,14 @@
-       } 
-       else 
-          if (actmempos > memsize) 
--            throw tinternalerror ( __FILE__, __LINE__ );
-+            goto except1;
-                                    
-       actpos2 += s;
-    } 
-+   return;
-+
-+except1:
-+   throw tinternalerror ( __FILE__, __LINE__ );
- } 
- 
- 
diff -ruN /usr/ports/games/asc/files/patch-source::gameoptions.cpp asc/files/patch-source::gameoptions.cpp
--- /usr/ports/games/asc/files/patch-source::gameoptions.cpp	Sat Oct 19 00:36:22 2002
+++ asc/files/patch-source::gameoptions.cpp	Thu Jan  1 08:00:00 1970
@@ -1,23 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::gameoptions.cpp,v 1.3 2002/10/18 16:36:22 sobomax Exp $
-
---- source/gameoptions.cpp.orig	Tue Oct  1 15:26:40 2002
-+++ source/gameoptions.cpp	Tue Oct  1 15:29:07 2002
-@@ -112,7 +112,7 @@
-    defaultSuperVisorPassword.setName ( "" );
- 
- 
--#if USE_HOME_DIRECTORY == 0
-+#if _UNIX_ == 0
-    searchPath[0].setName ( ".\\" );
-    for ( int i = 1; i < getSearchPathNum(); i++ )
-       searchPath[i].setName ( NULL );
-@@ -120,7 +120,7 @@
- for ( int i = 0; i < getSearchPathNum(); i++ )
-    searchPath[i].setName ( NULL );
-    searchPath[0].setName ( "~/.asc/" );
--   searchPath[1].setName ( "/var/local/games/asc/" );
-+   searchPath[1].setName ( PREFIX "/share/asc/" );
-    searchPath[2].setName ( "/var/games/asc/" );
-    searchPath[3].setName ( "/usr/local/share/games/asc/" );
-    searchPath[4].setName ( "/usr/share/games/asc/" );
diff -ruN /usr/ports/games/asc/files/patch-source::oldlzw.cpp asc/files/patch-source::oldlzw.cpp
--- /usr/ports/games/asc/files/patch-source::oldlzw.cpp	Sun Feb 18 05:51:31 2001
+++ asc/files/patch-source::oldlzw.cpp	Thu Jan  1 08:00:00 1970
@@ -1,45 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::oldlzw.cpp,v 1.1 2001/02/17 21:51:31 sobomax Exp $
-
---- source/oldlzw.cpp	2001/02/17 15:08:39	1.1
-+++ source/oldlzw.cpp	2001/02/17 15:08:54
-@@ -342,7 +339,7 @@
-             DecodeBuffer = (unsigned char *) realloc ( DecodeBuffer, DecodeBufferSize + 1000 );
- 
-             if ( ! DecodeBuffer )
--                throw toutofmem ( DecodeBufferSize + 1000 );
-+                goto except1;
-             else      
-                 DecodeBufferSize += 1000;
-         }
-@@ -350,6 +347,9 @@
-     }
-     DecodeBuffer[ count++ ] = code;
-     return ( count );
-+
-+except1:
-+    throw toutofmem ( DecodeBufferSize + 1000 );
- }
- 
- 
-@@ -464,7 +464,7 @@
-                   count = LZWLoadBuffer ( 0, incode );
-       
-               if ( count == 0 )
--                 throw ASCexception();
-+                 goto except1;
-                              
-               inchar = DecodeBuffer[ count - 1 ];
-               while ( count )
-@@ -492,7 +492,10 @@
-       return pos;
-    }
- 
--   // return 0;
-+   return 0;
-+
-+except1:
-+   throw ASCexception();
- }
- 
- 
diff -ruN /usr/ports/games/asc/files/patch-source::tools::linux::Makefile.in asc/files/patch-source::tools::linux::Makefile.in
--- /usr/ports/games/asc/files/patch-source::tools::linux::Makefile.in	Sat Jun  7 02:34:38 2003
+++ asc/files/patch-source::tools::linux::Makefile.in	Thu Jan  1 08:00:00 1970
@@ -1,23 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::tools::linux::Makefile.in,v 1.8 2003/06/01 13:25:00 sobomax Exp $
-
---- source/tools/linux/Makefile.in.orig	Sun Jun  1 15:19:15 2003
-+++ source/tools/linux/Makefile.in	Sun Jun  1 15:19:37 2003
-@@ -131,7 +131,7 @@
- asc_weaponguide_SOURCES = weaponguide.cpp  basestrm.cpp misc.cpp ascstring.cpp loadpcxc.cpp palette.cpp sgstream.cpp newfont.cpp basegfx.cpp graphicset.cpp gameoptions.cpp CLoadable.cpp Named.cpp Property.cpp PropertyGroup.cpp stack.cpp buildingtype.cpp typen.cpp vehicletype.cpp password.cpp strtmesg.cpp textfileparser.cpp containerbasetype.cpp terraintype.cpp objecttype.cpp textfiletags.cpp textfile_evaluation.cpp stringtokenizer.cpp itemrepository.cpp
- asc_raw2pcx_SOURCES = raw2pcx.cpp      basestrm.cpp misc.cpp ascstring.cpp loadpcxc.cpp palette.cpp sgstream.cpp newfont.cpp basegfx.cpp graphicset.cpp gameoptions.cpp CLoadable.cpp Named.cpp Property.cpp PropertyGroup.cpp stack.cpp buildingtype.cpp typen.cpp vehicletype.cpp password.cpp strtmesg.cpp textfileparser.cpp containerbasetype.cpp terraintype.cpp objecttype.cpp textfiletags.cpp textfile_evaluation.cpp stringtokenizer.cpp
- 
--asc_mount_LDADD = @SDL_LIBS@ @SDLMM_LIBS@ -lpthread @LDADDLIBBZ2@ $(top_builddir)/source/tools/lib/libasc_cmd.la
-+asc_mount_LDADD = @SDL_LIBS@ @SDLMM_LIBS@ @LDADDLIBBZ2@ $(top_builddir)/source/tools/lib/libasc_cmd.la
- asc_demount_LDADD = @SDL_LIBS@ @SDLMM_LIBS@ @LDADDLIBBZ2@ $(top_builddir)/source/tools/lib/libasc_cmd.la
- asc_makegfx_LDADD = $(top_builddir)/source/sdl/libsdl.la @LDADDLIBBZ2@ $(top_builddir)/source/tools/lib/libasc_cmd.la
- asc_viewid_LDADD = $(top_builddir)/source/sdl/libsdl.la @LDADDLIBBZ2@ $(top_builddir)/source/tools/lib/libasc_cmd.la
-@@ -241,7 +241,7 @@
- 
- DEFS = @DEFS@
- DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
--CPPFLAGS = @CPPFLAGS@
-+CPPFLAGS = @CPPFLAGS@ -DPREFIX=\"$(prefix)\"
- LDFLAGS = @LDFLAGS@
- LIBS = @LIBS@
- depcomp = $(SHELL) $(top_srcdir)/depcomp
diff -ruN /usr/ports/games/asc/files/patch-source::typen.h asc/files/patch-source::typen.h
--- /usr/ports/games/asc/files/patch-source::typen.h	Sat Oct 19 00:36:22 2002
+++ asc/files/patch-source::typen.h	Thu Jan  1 08:00:00 1970
@@ -1,14 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::typen.h,v 1.1 2002/10/18 16:36:22 sobomax Exp $
-
---- source/typen.h	2002/10/18 11:15:33	1.1
-+++ source/typen.h	2002/10/18 11:16:11
-@@ -247,8 +247,6 @@
-  #include <limits.h>
- #endif
- 
--#include <values.h>
--
- #include "pointers.h"
- #include "tpascal.inc"
- #include "misc.h"
diff -ruN /usr/ports/games/asc/files/patch-source::unix::Makefile.in asc/files/patch-source::unix::Makefile.in
--- /usr/ports/games/asc/files/patch-source::unix::Makefile.in	Sat Jun  7 02:34:38 2003
+++ asc/files/patch-source::unix::Makefile.in	Thu Jan  1 08:00:00 1970
@@ -1,14 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::unix::Makefile.in,v 1.4 2003/06/01 13:25:00 sobomax Exp $
-
---- source/unix/Makefile.in.orig	Sun Jun  1 15:19:57 2003
-+++ source/unix/Makefile.in	Sun Jun  1 15:20:45 2003
-@@ -113,7 +113,7 @@
- SUBDIRS = mapeditor
- 
- AM_CXXFLAGS = @SDL_CFLAGS@ @SDLMM_CXXFLAGS@ \
---Dsgmain -DFREEMAPZOOM -DNEWKEYB @PARAGUI_CFLAGS@
-+-Dsgmain -DFREEMAPZOOM -DNEWKEYB @PARAGUI_CFLAGS@ -DPREFIX=\"$(prefix)\"
- 
- 
- bin_PROGRAMS = asc
diff -ruN /usr/ports/games/asc/files/patch-source::unix::global_os.h asc/files/patch-source::unix::global_os.h
--- /usr/ports/games/asc/files/patch-source::unix::global_os.h	Sat Oct 19 00:36:22 2002
+++ asc/files/patch-source::unix::global_os.h	Thu Jan  1 08:00:00 1970
@@ -1,25 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::unix::global_os.h,v 1.4 2002/10/18 16:36:22 sobomax Exp $
-
---- source/unix/global_os.h	2002/10/01 12:34:15	1.1
-+++ source/unix/global_os.h	2002/10/01 12:34:29
-@@ -60,8 +60,8 @@
-  #define global_os_h_included
- 
-   #ifndef minimalIO
--   #define sdlheader "SDL/SDL.h"
--   #define sdlmixerheader "SDL/SDL_mixer.h"
-+   #define sdlheader "SDL.h"
-+   #define sdlmixerheader "SDL_mixer.h"
-    #include sdlheader
-   #endif 
- 
-@@ -84,7 +84,7 @@
-   #endif
- 
-   #define CASE_SENSITIVE_FILE_NAMES 1
--  #define USE_HOME_DIRECTORY 1
-+  #define USE_HOME_DIRECTORY 0
- 
- 
- #endif
diff -ruN /usr/ports/games/asc/files/patch-source::unix::mapeditor::Makefile.in asc/files/patch-source::unix::mapeditor::Makefile.in
--- /usr/ports/games/asc/files/patch-source::unix::mapeditor::Makefile.in	Sat Jun  7 02:34:38 2003
+++ asc/files/patch-source::unix::mapeditor::Makefile.in	Thu Jan  1 08:00:00 1970
@@ -1,14 +0,0 @@
-
-$FreeBSD: ports/games/asc/files/patch-source::unix::mapeditor::Makefile.in,v 1.4 2003/06/01 13:25:00 sobomax Exp $
-
---- source/unix/mapeditor/Makefile.in.orig	Sun Jun  1 15:21:07 2003
-+++ source/unix/mapeditor/Makefile.in	Sun Jun  1 15:21:34 2003
-@@ -113,7 +113,7 @@
- 
- 
- AM_CXXFLAGS = @SDL_CFLAGS@ @SDLMM_CXXFLAGS@ \
---Dkarteneditor -DFREEMAPZOOM -DNEWKEYB @PARAGUI_CFLAGS@
-+-Dkarteneditor -DFREEMAPZOOM -DNEWKEYB @PARAGUI_CFLAGS@ -DPREFIX=\"$(prefix)\"
- 
- 
- bin_PROGRAMS = asc_mapedit asc_map2pcx
diff -ruN /usr/ports/games/asc/pkg-message asc/pkg-message
--- /usr/ports/games/asc/pkg-message	Thu Jan  1 08:00:00 1970
+++ asc/pkg-message	Sun Jul 13 01:08:16 2003
@@ -0,0 +1,3 @@
+- to start the game type 'asc' in an x-windows console
+- if the music temporary stops during the computers moves,
+turn it off. This will increase the speed of the computers moves!
diff -ruN /usr/ports/games/asc/pkg-plist asc/pkg-plist
--- /usr/ports/games/asc/pkg-plist	Sat Jun  7 02:34:39 2003
+++ asc/pkg-plist	Sun Jul 13 01:08:16 2003
@@ -8,12 +8,17 @@
 bin/asc_raw2pcx
 bin/asc_viewid
 bin/asc_weaponguide
-share/asc/asc.gfx
-share/asc/asc_dlg.zip
-share/asc/buildings.con
-share/asc/main.con
-share/asc/mk1.con
-share/asc/trrobj.con
-share/asc/trrobj2.con
-share/asc/units-mk3.con
-@dirrm share/asc
+share/games/asc/asc.gfx
+share/games/asc/asc_dlg.zip
+share/games/asc/buildings.con
+share/games/asc/main.con
+share/games/asc/mk1.con
+share/games/asc/trrobj.con
+share/games/asc/trrobj2.con
+share/games/asc/units-mk3.con
+%%MUSIC:%%share/games/asc/music/frontiers.mp3
+%%MUSIC:%%share/games/asc/music/time_to_strike.mp3
+%%MUSIC:%%share/games/asc/music/machine_wars.mp3
+%%MUSIC:%%@dirrm share/games/asc/music
+@dirrm share/games/asc
+@dirrm share/games



On Fri, Jul 11, 2003 at 12:40:18AM -0700, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/54359'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=54359
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       Update ports/games/asc to version 1.13.7
> >Arrival-Date:   Fri Jul 11 00:40:18 PDT 2003
Comment 2 Daichi GOTO freebsd_committer 2003-07-14 06:27:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!